#
#	sniffPrintTargetCommand.sh
#
#	SNiFF+ V3.0
#
#	Copyright (C) 1998 TakeFive Software GmbH
#	Salzburg, Austria (e-mail: sniff@TakeFive.co.at)
#
#	Author: Michael Scharf
#
#	Modified by Sandor Korosi for V3.0
#	
#	Shell script to print target command
#
#	Usage: 
#	 sniffPrintTargetCommand.sh  target  command  DEBUG
#
if [ "$3" = "" ]
    then
    echo ""
	echo "Usage: `basename $0`  target  command  DEBUG"
	echo ""
	echo " target            target                           e.g: sniff"
	echo " command           command to make target           e.g: link sniff ..."
	echo " DEBUG             debug flag                            1=true 0=false"
    exit 1
fi

TARGET=$1
COMMAND=$2
DEBUG=$3

target=`basename $TARGET`
if [ -h $target ] 
then
	echo "make: will remove symbolic link to shared $target"
fi

if [ "$DEBUG" = "1" ]
then
	echo "$COMMAND"
else
	echo "make: $TARGET"
fi
